package com.hw.ems.base.mapper;

import com.hw.ems.base.domain.BaseLineMonitor;
import com.hw.ems.report.domain.ExportReport;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 线路计量信息Mapper接口
 *
 * @author YinQ
 * @date 2023-04-22
 */
@Mapper
public interface BaseLineMonitorMapper {
    /**
     * 查询线路计量信息
     *
     * @param objid 线路计量信息主键
     * @return 线路计量信息
     */
    public BaseLineMonitor selectBaseLineMonitorByObjid(Long objid);

    /**
     * 查询线路计量信息列表
     *
     * @param baseLineMonitor 线路计量信息
     * @return 线路计量信息集合
     */
    public List<BaseLineMonitor> selectBaseLineMonitorList(BaseLineMonitor baseLineMonitor);

    /**
     * 新增线路计量信息
     *
     * @param baseLineMonitor 线路计量信息
     * @return 结果
     */
    public int insertBaseLineMonitor(BaseLineMonitor baseLineMonitor);

    /**
     * 修改线路计量信息
     *
     * @param baseLineMonitor 线路计量信息
     * @return 结果
     */
    public int updateBaseLineMonitor(BaseLineMonitor baseLineMonitor);

    /**
     * 删除线路计量信息
     *
     * @param objid 线路计量信息主键
     * @return 结果
     */
    public int deleteBaseLineMonitorByObjid(Long objid);

    /**
     * 批量删除线路计量信息
     *
     * @param objids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseLineMonitorByObjids(Long[] objids);

    BaseLineMonitor selectBaseLineMonitorByMonitorId(String monitorId);

    public List<ExportReport> selectLevelLineMonitor(Long monitorType);
}
